#include <stdlib.h>

#include <stdio.h>

# define N 15

int x[9],nadjeno,br=1;

int napadajuSe(int k)

{ for(int i=1;i<=k-1;i++)

if (x[i]==x[k] || abs(i-k)==abs(x[i]-x[k]))

return 1;

return 0;

}

void pisi(int n)

{printf("Resenje broj %d: \n",br++);

for(int i=1;i<= n;i++)

{for(int j=1;j<= n;j++)

if (x[i]==j) printf("K ");

else printf("+ ");

printf("\n");

}getchar();}

void postavi(int k)

{for(int i=1;i<=8;i++)

{x[k]=i;

if (!napadajuSe(k))

if (k==N)

{ pisi(N); // ispis resenja

//nadjeno=1; // indikator uspeha postavlja na 1

}

else postavi(k+1);

}

}

int main()

{

nadjeno=0; // indikator koji postaje 1 kada se nadje resenje

postavi(1); // poziv funkcije za rasporedjivanje osam kraljica

getchar();getchar();}